Page MenuHomePhabricator

Cross-wiki notifications get highlighted even when they have been already seen
Closed, ResolvedPublic

Description

When getting new notifications, these get highlighted when the panel is opened the first time.
However, for the cross-wiki notification bundle, it seems they are highlighted everytime the panel is open, as illustrated below:

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterCorrectly update locally cached seenTime

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 10 2016, 9:16 AM

Change 288537 had a related patch set uploaded (by Catrope):
Correctly update locally cached seenTime

https://gerrit.wikimedia.org/r/288537

Catrope claimed this task.May 12 2016, 11:05 PM
Catrope moved this task from Untriaged to Needs Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Change 288537 merged by jenkins-bot:
Correctly update locally cached seenTime

https://gerrit.wikimedia.org/r/288537

Checked the fix in betalabs - only new (i.e. unseen messages/alerts) gets highlighted when the flyout is open.

jmatazzoni closed this task as Resolved.May 26 2016, 8:32 PM